<?php
include_once("c_events_opo_card_edit_step2.php");
class c_page_cab_events_opo_card_edit_step6 extends c_page_cab_events_opo_card_edit_step1
{
  public $h1='Редактирование параметров ОПО - email организаций' ;
  public $rec_doc=array();

  function select_obj_info()
  {  parent::select_obj_info();
     if ($this->rec_event['pkey']) $this->h1=$this->obj_event->name.' "'.$this->rec_event['obj_name'].'" - email организаций' ;
  }


  function block_main()
  { $this->page_title() ;
    $this->panel_select_dates() ;
  }

  function panel_select_dates()
   {   // получаем список всех организаций, которые участвуют в мероприятии
       // получаем список всех организаций на основании данных сотрудников вьювера мероприятия
       $arr_orgs=execSQL_row('select distinct(so.parent2),t1.obj_name
                               from '.$this->rec_event['viewer_name'].' tv
                               left join obj_site_workers so on so.personal_id=tv.pkey
                               left join obj_site_personals t1 on t1.pkey=so.parent2
                               order by t1.obj_name
                               ');
       ?><div id="panel_fast_search" style="margin:10px 0;"><strong>Быстрый поиск по</strong>: <input type="text" id="fast_search_url" style="width:200px;font-size:14px;"> </div>
         <div id="panel_filter"><form id="sky-form" class="sky-form"><input type="hidden" name="filter[enabled]" value="1"><?
          ?><table class="basic fz_small auto" id="table_orgs"><tr class="head"><th>Организация</th><th>Email контактного лица</th></tr><?
           if (_sizeof($arr_orgs)) foreach($arr_orgs as $org_id=>$org_name)
           {  $email=(isset($this->rec_event['_ext_info']['emails_to_orgs'][$org_id]))? $this->rec_event['_ext_info']['emails_to_orgs'][$org_id]:'' ; // должна быть теккуща дата
              ?><tr class="item">
                 <td class="left"><?echo $org_name?></td>
                 <td class="center"><input type="text" name="emails_to_orgs[<?echo $org_id?>]" value="<?echo $email?>"></td>
               </tr>
             <?
           }
           ?>
            </table><br>
           <div id="panel_buttons">
              <?if ($this->rec_event['status']!=5){?>
               <button class="button v2" event_id="<?echo $this->rec_event['pkey']?>" cmd="events_opo/event_orgs_emails_save">Сохранить</button><?
              }else echo '<div class=alert>Мероприятие в архиве, изменение дат невозможно</div>'?>
           </div><br>
           </form></div>

       <script type="text/javascript">
          $j(document).ready(function()
          {     var text='' ;
                $j('#fast_search_url').keyup(
                    function(e)
                    {   text=$j(this).val() ;
                        if (text!="")
                        { $j('#table_orgs tr.item').hide().addClass('hidden') ;
                          $j('#table_orgs tr.item').each(function(el)
                          {   var td_cont=$j(this).find('td').text() ;
                              console.log(td_cont) ;
                              var re_title = new RegExp(text, 'gi');
                              var res=td_cont.match(re_title);
                              if (res!=null && res.length)   $j(this).removeClass('hidden').show() ; //console.log(class_page) ;
                          }) ;
                        }
                        else
                        { $j('#table_orgs tr.title').show() ;
                          $j('#table_orgs tr.item').addClass('hidden') ;
                        }
                    }) ;
          }) ;
          </script>

           <?
       //damp_array($this->rec_event,1,-1) ;
      }


}
?>
